Skip to main content
POST
/
v1
/
customers
/
payment-methods
/
{id}
/
block
Block Payment Method
curl --request POST \
  --url https://api.sandbox.zafapay.com/v1/customers/payment-methods/{id}/block \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "Suspected fraud"
}
'
{
  "id": "pmi_abc123",
  "status": "blocked",
  "blocked_reason": "Suspected fraud",
  "updated_at": "2024-01-15T10:35:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.zafapay.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication using access token

Path Parameters

id
string
required

Payment method ID

Example:

"pmi_abc123"

Body

application/json
reason
string
required

Reason for blocking the payment method

Example:

"Suspected fraud"

Response

Payment method blocked

id
string

Payment method ID

Example:

"pmi_abc123"

status
string

New status

Example:

"blocked"

blocked_reason
string

Reason for blocking

Example:

"Suspected fraud"

updated_at
string<date-time>

Update timestamp

Example:

"2024-01-15T10:35:00Z"